Package list ruby-gitlab / debian/4.5.0-2 debian / patches / use-installed-libraries.patch
debian/4.5.0-2

Tree @debian/4.5.0-2 (Download .tar.gz)

use-installed-libraries.patch @debian/4.5.0-2raw · history · blame

Description: Use installed libraries
Author: Sophie Brun <sophie@freexian.com>
Last-Update: 2017-09-21
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/spec/spec_helper.rb
+++ b/spec/spec_helper.rb
@@ -1,8 +1,9 @@
 require 'rspec'
 require 'webmock/rspec'
 
-require File.expand_path('../../lib/gitlab', __FILE__)
-require File.expand_path('../../lib/gitlab/cli', __FILE__)
+$:.unshift File.expand_path('../../lib', __FILE__)
+require 'gitlab'
+require 'gitlab/cli'
 
 def capture_output
   out = StringIO.new